Index: lemon/random.h
===================================================================
--- lemon/random.h	(revision 352)
+++ lemon/random.h	(revision 351)
@@ -541,4 +541,8 @@
     /// @{
 
+    ///\name Initialization
+    ///
+    /// @{
+
     /// \brief Default constructor
     ///
@@ -705,4 +709,10 @@
     }
 
+    /// @}
+
+    ///\name Uniform distributions
+    ///
+    /// @{
+
     /// \brief Returns a random real number from the range [0, 1)
     ///
@@ -761,4 +771,6 @@
       return _random_bits::IntConversion<Number, Word>::convert(core);
     }
+
+    /// @}
 
     unsigned int uinteger() {
@@ -795,7 +807,8 @@
     ///\name Non-uniform distributions
     ///
+
     ///@{
 
-    /// \brief Returns a random bool with given probability of true result.
+    /// \brief Returns a random bool
     ///
     /// It returns a random bool with given probability of true result.
@@ -804,7 +817,7 @@
     }
 
-    /// Standard normal (Gauss) distribution
-
-    /// Standard normal (Gauss) distribution.
+    /// Standard Gauss distribution
+
+    /// Standard Gauss distribution.
     /// \note The Cartesian form of the Box-Muller
     /// transformation is used to generate a random normal distribution.
@@ -819,7 +832,7 @@
       return std::sqrt(-2*std::log(S)/S)*V1;
     }
-    /// Normal (Gauss) distribution with given mean and standard deviation
-
-    /// Normal (Gauss) distribution with given mean and standard deviation.
+    /// Gauss distribution with given mean and standard deviation
+
+    /// Gauss distribution with given mean and standard deviation.
     /// \sa gauss()
     double gauss(double mean,double std_dev)
@@ -852,5 +865,5 @@
     /// lognormal().
     std::pair<double,double> lognormalParamsFromMD(double mean,
-                                                   double std_dev)
+						   double std_dev)
     {
       double fr=std_dev/mean;
@@ -860,5 +873,5 @@
     }
     /// Lognormal distribution with given mean and standard deviation
-
+    
     /// Lognormal distribution with given mean and standard deviation.
     ///
@@ -867,5 +880,5 @@
       return lognormal(lognormalParamsFromMD(mean,std_dev));
     }
-
+    
     /// Exponential distribution with given mean
 
@@ -971,4 +984,5 @@
     ///\name Two dimensional distributions
     ///
+
     ///@{
 
@@ -987,5 +1001,5 @@
       return dim2::Point<double>(V1,V2);
     }
-    /// A kind of two dimensional normal (Gauss) distribution
+    /// A kind of two dimensional Gauss distribution
 
     /// This function provides a turning symmetric two-dimensional distribution.
Index: scripts/unify-sources.sh
===================================================================
--- scripts/unify-sources.sh	(revision 343)
+++ scripts/unify-sources.sh	(revision 353)
@@ -87,23 +87,33 @@
 
 function check_action() {
+    if [ "$3" == 'tabs' ]
+    then
+        PATTERN=$(echo -e '\t')
+    elif [ "$3" == 'trailing spaces' ]
+    then
+        PATTERN='\ +$'
+    else
+        PATTERN='*'
+    fi
+
     if ! diff -q $1 $2 >/dev/null
     then
-	echo
-	echo -n "      $3 failed at line(s): "
-	echo -n $(diff $1 $2 | grep '^[0-9]' | sed "s/^\(.*\)c.*$/ \1/g" | 
-	          sed "s/,/-/g" | paste -s -d',')
-	FAILED=YES
+        if [ "$PATTERN" == '*' ]
+        then
+            diff $1 $2 | grep '^[0-9]' | sed "s|^\(.*\)c.*$|$2:\1: check failed: $3|g" |
+              sed "s/:\([0-9]*\),\([0-9]*\):\(.*\)$/:\1:\3 (until line \2)/g"
+        else
+            grep -n -E "$PATTERN" $2 | sed "s|^\([0-9]*\):.*$|$2:\1: check failed: $3|g"
+        fi
+        FAILED=YES
     fi
 }
 
 function check_warning() {
-    echo
     if [ "$2" == 'long lines' ]
     then
-        echo -n "      $2 warning at line(s): "
-        echo -n $(grep -n -E '.{81,}' $1 | sed "s/^\([0-9]*\)/ \1\t/g" | 
-                  cut -f 1 | paste -s -d',')
-    else
-        echo -n "      $2 warning"
+        grep -n -E '.{81,}' $1 | sed "s|^\([0-9]*\):.*$|$1:\1: warning: $2|g"
+    else
+        echo "$1: warning: $2"
     fi
     WARNED=YES
@@ -237,5 +247,10 @@
 
 function process_file() {
-    echo -n "    $ACTION $1..."
+    if [ "$ACTION" == 'update' ]
+    then
+        echo -n "    $ACTION $1..."
+    else
+        echo "	  $ACTION $1..."
+    fi
 
     CHECKING="header tabs spaces long_lines"
@@ -247,5 +262,8 @@
     done
     "$ACTION"_end $1
-    echo
+    if [ "$ACTION" == 'update' ]
+    then
+        echo
+    fi
 }
 
